<template>
  <div class="ask_your_questions">
    <div class="ask_your_questions_animation"></div>
    <div class="ask_your_questions_content rounded">
      <div class="text-center content-loader" v-if="content_loading">
          <Loader color="#F3E367"/>
      </div>
      <div role="tablist" v-if="content_loading == false">
        <div v-if="Object.keys(question_list).length != 0">
            <b-card no-body class="mb-1" v-for="questions in question_list" :key="questions.id">
            <b-card-header header-tag="header" class="p-1" role="tab">
              <b-button block v-b-toggle="'accordion-' + questions.id" >{{questions.question}}</b-button>
            </b-card-header>
            <b-collapse :id="'accordion-'+questions.id" visible accordion="my-accordion" role="tabpanel">
              <b-card-body>
                <b-card-text>
                  I start opened because
                  <code>visible</code> is
                  <code>true</code>
                </b-card-text>
                <b-card-text>{{ text }}</b-card-text>
              </b-card-body>
            </b-collapse>
          </b-card>
        </div>
        




        <!-- <b-card no-body class="mb-1">
          <b-card-header header-tag="header" class="p-1" role="tab">
            <b-button block v-b-toggle.accordion-2>How much should I be eating?</b-button>
          </b-card-header>
          <b-collapse id="accordion-2" accordion="my-accordion" role="tabpanel">
            <b-card-body>
              <b-card-text>{{ text }}</b-card-text>
            </b-card-body>
          </b-collapse>
        </b-card>

        <b-card no-body class="mb-1">
          <b-card-header header-tag="header" class="p-1" role="tab">
            <b-button
              block
              v-b-toggle.accordion-3
            >What am I missing from my diet, and where can I get it from?</b-button>
          </b-card-header>
          <b-collapse id="accordion-3" accordion="my-accordion" role="tabpanel">
            <b-card-body>
              <b-card-text>{{ text }}</b-card-text>
            </b-card-body>
          </b-collapse>
        </b-card>

        <b-card no-body class="mb-1">
          <b-card-header header-tag="header" class="p-1" role="tab">
            <b-button
              block
              v-b-toggle.accordion-4
            >What is the one best piece of nutritional advice you can give?</b-button>
          </b-card-header>
          <b-collapse id="accordion-4" accordion="my-accordion" role="tabpanel">
            <b-card-body>
              <b-card-text>{{ text }}</b-card-text>
            </b-card-body>
          </b-collapse>
        </b-card>
        <b-card no-body class="mb-1">
          <b-card-header header-tag="header" class="p-1" role="tab">
            <b-button
              block
              v-b-toggle.accordion-5
            >What is the one best piece of nutritional advice you can give?</b-button>
          </b-card-header>
          <b-collapse id="accordion-5" accordion="my-accordion" role="tabpanel">
            <b-card-body>
              <b-card-text>{{ text }}</b-card-text>
            </b-card-body>
          </b-collapse>
        </b-card> -->
      </div>
    </div>
    <div class="ask_icon rounded-circle" v-b-modal.modal-1>
      <img src="../assets/images/question.svg" />
    </div>
    <div>
      <b-modal id="modal-1" size="lg" hide-footer title="Ask your question">
        <form ref="form">
          <b-form-group label="Name" label-for="name-input" invalid-feedback="Name is required">
            <b-form-input id="name-input" v-model="name" required></b-form-input>
          </b-form-group>
          <b-form-textarea id="textarea" placeholder="Your question..." v-model="question" rows="3" max-rows="6"></b-form-textarea>
          <div style="text-align:center">
            <button class="button" v-on:keyup.enter="submitQuestion" @click="submitQuestion">Submit</button>
          </div>
        </form>
      </b-modal>
    </div>
    <b-alert
      v-model="showTop"
      class="position-fixed fixed-top m-0 rounded-0"
      style="z-index: 2000;height:100px;padding-top: 35px;text-align:center"
      variant="success"
      dismissible
    >
      You have successfully submitted your question.
    </b-alert>
    <b-alert
      v-model="showTopWarning"
      class="position-fixed fixed-top m-0 rounded-0"
      style="z-index: 2000;height:100px;padding-top: 35px;text-align:center"
      variant="danger"
      dismissible
    >
      {{error_msg}}
    </b-alert>
  </div>
</template>
<script>
import Loader from '../components/loader';
export default {
  data() {
    return {
      content_loading : false,
      question_list:[],
      error_msg:'',
      showTopWarning:false,
      showTop:false,
      question: '',
      name: "",
      text: `
          Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry
          richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor
          brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon
          tempor, sunt aliqua put a bird on it squid single-origin coffee nulla
          assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore
          wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher
          vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic
          synth nesciunt you probably haven't heard of them accusamus labore VHS.
        `,
    };
  },
  components: {
    Loader
  },
  mounted() {
    debugger
    this.content_loading = true
    this.axios.post(`https://hackthon-microservice.herokuapp.com/api/v0/find-all-question-ans`)
          .then(response => {
            debugger
            this.content_loading = false
            var that = this
            if(response.data.status == 200) {
              debugger
                console.log('response-->', response.data.data);
                this.question_list = response.data.data
            }
            else {
              console.log('No questions found');
            }
          })
          .catch(error => {
            console.log('error', error);
          })
  },
  methods:{
    submitQuestion() {
      var data = {
          ask_by_name:this.name,
          question:this.question
      }
      this.axios.post(`https://hackthon-microservice.herokuapp.com/api/v0/create_question`,data)
          .then(response => {
            debugger
            var that = this
            if(response.data.status == 200) {
              debugger
                console.log('response-->', response.data.data);
                this.showTop = !this.showTop
                this.$bvModal.hide('modal-1')
                setTimeout(function(){ 
                  this.showTop = false
                }, 3000)
            }
            else {
              this.showTopWarning = !this.showTopWarning
            }
          })
          .catch(error => {
            console.log('error', error);
          })
    }
  }
};
</script>

<style scoped>
@charset "UTF-8";
@-webkit-keyframes typed {
  /* string 1, char 1 */
  0%,
  0.5436623094% {
    content: "A";
  }
  /* string 1, char 2 */
  0.5446623094%,
  1.0883246187% {
    content: "As";
  }
  /* string 1, char 3 */
  1.0893246187%,
  1.6329869281% {
    content: "Ask";
  }
  /* string 1, char 4 */
  1.6339869281%,
  2.1776492375% {
    content: "Ask ";
  }
  /* string 1, char 5 */
  2.1786492375%,
  2.7223115468% {
    content: "Ask y";
  }
  /* string 1, char 6 */
  2.7233115468%,
  3.2669738562% {
    content: "Ask yo";
  }
  /* string 1, char 7 */
  3.2679738562%,
  3.8116361656% {
    content: "Ask you";
  }
  /* string 1, char 8 */
  3.8126361656%,
  4.3562984749% {
    content: "Ask your";
  }
  /* string 1, char 9 */
  4.3572984749%,
  4.9009607843% {
    content: "Ask your ";
  }
  /* string 1, char 10 */
  4.9019607843%,
  5.4456230937% {
    content: "Ask your q";
  }
  /* string 1, char 11 */
  5.4466230937%,
  5.9902854031% {
    content: "Ask your qu";
  }
  /* string 1, char 12 */
  5.9912854031%,
  6.5349477124% {
    content: "Ask your que";
  }
  /* string 1, char 13 */
  6.5359477124%,
  7.0796100218% {
    content: "Ask your ques";
  }
  /* string 1, char 14 */
  7.0806100218%,
  7.6242723312% {
    content: "Ask your quest";
  }
  /* string 1, char 15 */
  7.6252723312%,
  8.1689346405% {
    content: "Ask your questi";
  }
  /* string 1, char 16 */
  8.1699346405%,
  8.7135969499% {
    content: "Ask your questio";
  }
  /* string 1, char 17 */
  8.7145969499%,
  9.2582592593% {
    content: "Ask your question";
  }
  /* string 1, char 18 */
  9.2592592593%,
  9.8029215686% {
    content: "Ask your questions";
  }
  /* string 1, char 19 */
  9.8039215686%,
  10.347583878% {
    content: "Ask your questions...!";
  }

  /* string 1, char 20 */
  10.348583878%,
  10.8922461874% {
    content: "Ask your questions...";
  }
  /* string 1, char 21 */
  10.8932461874%,
  11.4369084967% {
    content: "Ask your questions..";
  }
  /* string 1, char 22 */
  11.4379084967%,
  23.310546841% {
    content: "Ask your questions.";
  }
  /* string 1, char 23 */
  23.311546841%,
  23.7462766885% {
    content: "Ask your questions";
  }
  /* string 1, char 24 */
  23.7472766885%,
  24.1820065359% {
    content: "Ask your question";
  }
  /* string 1, char 25 */
  24.1830065359%,
  24.6177363834% {
    content: "Ask your questio";
  }
  /* string 1, char 26 */
  24.6187363834%,
  25.0534662309% {
    content: "Ask your questi";
  }
  /* string 1, char 27 */
  25.0544662309%,
  25.4891960784% {
    content: "Ask your quest";
  }
  /* string 1, char 28 */
  25.4901960784%,
  25.9249259259% {
    content: "Ask your ques";
  }
  /* string 1, char 29 */
  25.9259259259%,
  26.3606557734% {
    content: "Ask your que";
  }
  /* string 1, char 30 */
  26.3616557734%,
  26.7963856209% {
    content: "Ask your qu";
  }
  /* string 1, char 31 */
  26.7973856209%,
  27.2321154684% {
    content: "Ask your q";
  }
  /* string 1, char 32 */
  27.2331154684%,
  27.6678453159% {
    content: "Ask your ";
  }
  /* string 1, char 33 */
  27.6688453159%,
  28.1035751634% {
    content: "Ask your";
  }
  /* string 1, char 34 */
  28.1045751634%,
  28.5393050109% {
    content: "Ask you";
  }
  /* string 1, char 35 */
  28.5403050109%,
  28.9750348584% {
    content: "Ask yo";
  }
  /* string 1, char 36 */
  28.9760348584%,
  29.4107647059% {
    content: "Ask y";
  }
  /* string 1, char 37 */
  29.4117647059%,
  29.8464945534% {
    content: "Ask ";
  }
  /* string 1, char 38 */
  29.8474945534%,
  30.2822244009% {
    content: "Ask";
  }
  /* string 1, char 39 */
  30.2832244009%,
  30.7179542484% {
    content: "As";
  }
  /* string 1, char 40 */
  30.7189542484%,
  31.1536840959% {
    content: "A";
  }
  /* string 1, char 41 */
  31.1546840959%,
  31.5894139434% {
    content: "";
  }
}
@keyframes typed {
  /* string 1, char 1 */
  0%,
  0.5436623094% {
    content: "A";
  }
  /* string 1, char 2 */
  0.5446623094%,
  1.0883246187% {
    content: "As";
  }
  /* string 1, char 3 */
  1.0893246187%,
  1.6329869281% {
    content: "Ask";
  }
  /* string 1, char 4 */
  1.6339869281%,
  2.1776492375% {
    content: "Ask ";
  }
  /* string 1, char 5 */
  2.1786492375%,
  2.7223115468% {
    content: "Ask y";
  }
  /* string 1, char 6 */
  2.7233115468%,
  3.2669738562% {
    content: "Ask yo";
  }
  /* string 1, char 7 */
  3.2679738562%,
  3.8116361656% {
    content: "Ask you";
  }
  /* string 1, char 8 */
  3.8126361656%,
  4.3562984749% {
    content: "Ask your";
  }
  /* string 1, char 9 */
  4.3572984749%,
  4.9009607843% {
    content: "Ask your ";
  }
  /* string 1, char 10 */
  4.9019607843%,
  5.4456230937% {
    content: "Ask your q";
  }
  /* string 1, char 11 */
  5.4466230937%,
  5.9902854031% {
    content: "Ask your qu";
  }
  /* string 1, char 12 */
  5.9912854031%,
  6.5349477124% {
    content: "Ask your que";
  }
  /* string 1, char 13 */
  6.5359477124%,
  7.0796100218% {
    content: "Ask your ques";
  }
  /* string 1, char 14 */
  7.0806100218%,
  7.6242723312% {
    content: "Ask your quest";
  }
  /* string 1, char 15 */
  7.6252723312%,
  8.1689346405% {
    content: "Ask your questi";
  }
  /* string 1, char 16 */
  8.1699346405%,
  8.7135969499% {
    content: "Ask your questio";
  }
  /* string 1, char 17 */
  8.7145969499%,
  9.2582592593% {
    content: "Ask your question";
  }
  /* string 1, char 18 */
  9.2592592593%,
  9.8029215686% {
    content: "Ask your questions";
  }
  /* string 1, char 19 */
  9.8039215686%,
  10.347583878% {
    content: "Ask your questions...!";
  }

  /* string 1, char 20 */
  10.348583878%,
  10.8922461874% {
    content: "Ask your questions...";
  }
  /* string 1, char 21 */
  10.8932461874%,
  11.4369084967% {
    content: "Ask your questions..";
  }
  /* string 1, char 22 */
  11.4379084967%,
  23.310546841% {
    content: "Ask your questions.";
  }
  /* string 1, char 23 */
  23.311546841%,
  23.7462766885% {
    content: "Ask your questions";
  }
  /* string 1, char 24 */
  23.7472766885%,
  24.1820065359% {
    content: "Ask your question";
  }
  /* string 1, char 25 */
  24.1830065359%,
  24.6177363834% {
    content: "Ask your questio";
  }
  /* string 1, char 26 */
  24.6187363834%,
  25.0534662309% {
    content: "Ask your questi";
  }
  /* string 1, char 27 */
  25.0544662309%,
  25.4891960784% {
    content: "Ask your quest";
  }
  /* string 1, char 28 */
  25.4901960784%,
  25.9249259259% {
    content: "Ask your ques";
  }
  /* string 1, char 29 */
  25.9259259259%,
  26.3606557734% {
    content: "Ask your que";
  }
  /* string 1, char 30 */
  26.3616557734%,
  26.7963856209% {
    content: "Ask your qu";
  }
  /* string 1, char 31 */
  26.7973856209%,
  27.2321154684% {
    content: "Ask your q";
  }
  /* string 1, char 32 */
  27.2331154684%,
  27.6678453159% {
    content: "Ask your ";
  }
  /* string 1, char 33 */
  27.6688453159%,
  28.1035751634% {
    content: "Ask your";
  }
  /* string 1, char 34 */
  28.1045751634%,
  28.5393050109% {
    content: "Ask you";
  }
  /* string 1, char 35 */
  28.5403050109%,
  28.9750348584% {
    content: "Ask yo";
  }
  /* string 1, char 36 */
  28.9760348584%,
  29.4107647059% {
    content: "Ask y";
  }
  /* string 1, char 37 */
  29.4117647059%,
  29.8464945534% {
    content: "Ask ";
  }
  /* string 1, char 38 */
  29.8474945534%,
  30.2822244009% {
    content: "Ask";
  }
  /* string 1, char 39 */
  30.2832244009%,
  30.7179542484% {
    content: "As";
  }
  /* string 1, char 40 */
  30.7189542484%,
  31.1536840959% {
    content: "A";
  }
  /* string 1, char 41 */
  31.1546840959%,
  31.5894139434% {
    content: "";
  }
}
@keyframes typed {
  /* string 1, char 1 */
  0%,
  0.5436623094% {
    content: "A";
  }
  /* string 1, char 2 */
  0.5446623094%,
  1.0883246187% {
    content: "As";
  }
  /* string 1, char 3 */
  1.0893246187%,
  1.6329869281% {
    content: "Ask";
  }
  /* string 1, char 4 */
  1.6339869281%,
  2.1776492375% {
    content: "Ask ";
  }
  /* string 1, char 5 */
  2.1786492375%,
  2.7223115468% {
    content: "Ask y";
  }
  /* string 1, char 6 */
  2.7233115468%,
  3.2669738562% {
    content: "Ask yo";
  }
  /* string 1, char 7 */
  3.2679738562%,
  3.8116361656% {
    content: "Ask you";
  }
  /* string 1, char 8 */
  3.8126361656%,
  4.3562984749% {
    content: "Ask your";
  }
  /* string 1, char 9 */
  4.3572984749%,
  4.9009607843% {
    content: "Ask your ";
  }
  /* string 1, char 10 */
  4.9019607843%,
  5.4456230937% {
    content: "Ask your q";
  }
  /* string 1, char 11 */
  5.4466230937%,
  5.9902854031% {
    content: "Ask your qu";
  }
  /* string 1, char 12 */
  5.9912854031%,
  6.5349477124% {
    content: "Ask your que";
  }
  /* string 1, char 13 */
  6.5359477124%,
  7.0796100218% {
    content: "Ask your ques";
  }
  /* string 1, char 14 */
  7.0806100218%,
  7.6242723312% {
    content: "Ask your quest";
  }
  /* string 1, char 15 */
  7.6252723312%,
  8.1689346405% {
    content: "Ask your questi";
  }
  /* string 1, char 16 */
  8.1699346405%,
  8.7135969499% {
    content: "Ask your questio";
  }
  /* string 1, char 17 */
  8.7145969499%,
  9.2582592593% {
    content: "Ask your question";
  }
  /* string 1, char 18 */
  9.2592592593%,
  9.8029215686% {
    content: "Ask your questions";
  }
  /* string 1, char 19 */
  9.8039215686%,
  10.347583878% {
    content: "Ask your questions!";
  }
  /* string 1, char 20 */
  10.348583878%,
  10.8922461874% {
    content: "Ask your questions";
  }
  /* string 1, char 21 */
  10.8932461874%,
  11.4369084967% {
    content: "Ask your question";
  }
  /* string 1, char 22 */
  11.4379084967%,
  23.310546841% {
    content: "Ask your questio";
  }
  /* string 1, char 23 */
  23.311546841%,
  23.7462766885% {
    content: "Ask your questi";
  }
  /* string 1, char 24 */
  23.7472766885%,
  24.1820065359% {
    content: "Ask your quest";
  }
  /* string 1, char 25 */
  24.1830065359%,
  24.6177363834% {
    content: "Ask your ques";
  }
  /* string 1, char 26 */
  24.6187363834%,
  25.0534662309% {
    content: "Ask your que";
  }
  /* string 1, char 27 */
  25.0544662309%,
  25.4891960784% {
    content: "Ask your qu";
  }
  /* string 1, char 28 */
  25.4901960784%,
  25.9249259259% {
    content: "Ask your q";
  }
  /* string 1, char 29 */
  25.9259259259%,
  26.3606557734% {
    content: "Ask your ";
  }
  /* string 1, char 30 */
  26.3616557734%,
  26.7963856209% {
    content: "Ask your";
  }
  /* string 1, char 31 */
  26.7973856209%,
  27.2321154684% {
    content: "Ask you";
  }
  /* string 1, char 32 */
  27.2331154684%,
  27.6678453159% {
    content: "Ask yo";
  }
  /* string 1, char 33 */
  27.6688453159%,
  28.1035751634% {
    content: "Ask y";
  }
  /* string 1, char 34 */
  28.1045751634%,
  28.5393050109% {
    content: "Ask ";
  }
  /* string 1, char 35 */
  28.5403050109%,
  28.9750348584% {
    content: "Ask";
  }
  /* string 1, char 36 */
  28.9760348584%,
  29.4107647059% {
    content: "As";
  }
  /* string 1, char 37 */
  29.4117647059%,
  29.8464945534% {
    content: "A";
  }
  /* string 1, char 38 */
  29.8474945534%,
  30.2822244009% {
    content: "";
  }
}
@-webkit-keyframes beam-blink {
  75% {
    border-color: transparent;
  }
}
@keyframes beam-blink {
  75% {
    border-color: transparent;
  }
}
* {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.ask_your_questions_animation {
  height: 600px;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  background-color: #000;
  background-image: radial-gradient(
      rgba(255, 255, 255, 0.125),
      rgba(255, 255, 255, 0)
    ),
    linear-gradient(to bottom, #000, #000 2px, #111 3px);
  background-repeat: repeat-y;
  background-position: center center;
  background-size: cover, 100% 3px;
  font-size: calc(10px + 2vw);
  font-family: "VT323", monospace, sans-serif;
  color: #3f3;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.ask_your_questions_animation::after {
  content: "​";
  position: relative;
  top: -13px;
  display: inline-block;
  padding-right: 3px;
  padding-right: calc(3px + 0.1vw);
  border-right: 10px solid rgba(51, 255, 51, 0.75);
  border-right: calc(1.1vw + 4px) solid rgba(51, 255, 51, 0.75);
  text-shadow: 0 0 5px rgba(51, 255, 51, 0.75);
  white-space: nowrap;
  -webkit-animation: typed 18.36s linear 1s infinite, beam-blink 1s infinite;
  animation: typed 18.36s linear 1s infinite, beam-blink 1s infinite;
}
@media (max-width: 575px) {
  .ask_your_questions_animation::after {
    top: -33px;
  }
}
.ask_your_questions_content {
  width: 75%;
  margin: auto;
  margin-top: -5%;
  background: white;
  padding: 50px;
}
.ask_your_questions_content p {
  font-size: 18px;
  color: #7f8688;
}

.ask_icon {
  cursor: pointer;
  padding: 20px;
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 5%;
  background: #f3e367;
  border-color: white;
}
*,
*:focus,
*:hover {
  outline: none;
}
.ask_icon img {
  width: 100%;
}
.form {
  text-align: center;
  background-color: #f0f0f0;
  top: 25%;
  left: 20%;
  width: 30%;
  position: absolute;
}
input:focus {
  outline: 0;
  border-color: inherit;
  -webkit-box-shadow: none;
  box-shadow: none;
  border: none;
}
.content-loader {
  text-align:center;
  height:500px;
  margin-top: 100px;
}
.button {
  background-color: hsl(0, 0%, 20%);
  border: 2px solid #333333;
  border-radius: 30px;
  color: #f0f0f0;
  cursor: pointer;
  font-size: 20px;
  margin: 20px;
  padding: 10px 30px;
  text-transform: uppercase;
  transition: all 200ms;
}
.button:hover,
.button:focus {
  background-color: #f0f0f0;
  color: #333333;
  outline: 0;
}
</style>
